Subject: PO orders
From: "Mike" <[email-masked]>
To: "Blake Hunter IMS" <[email-masked]>
Date: Wed, 15 Dec 2010 11:13:41 -0500

Hi Blake.
I received a couple of orders this week and did not receive the actual PO document.  They do have the PO # written at the bottom of the order form and they have Mike as the attention on the shipping for both.  I have different contact for past orders so I wasn't sure who we should be addressing these to.  The PO #'s are 107158 & 107159.  Can you check on these for me and let me know and/or have them send me the actual PO documents with the correct contacts?
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]